Subject: sysklogd1.0.tz on tsx-11.
From: [email-masked] (G.W. Wettstein)
Date: 14 Dec 1993 15:58:20 +0200
Newsgroups: comp.os.linux.announce

A network aware version of syslogd has been uploaded by our group to the
incoming directory on tsx-11.  It should be migrating to an appropriate
resting place very shortly.  I will try and get a copy on sunsite but I
have not filled out an LSM entry yet so I will try and get that done this
evening.

The gazipped tar file contains the sources for klogd and syslogd.  The
syslogd is derived from classic Berkeley sources but supports use of both
TCP/IP and UNIX domain sockets.  Using a paradigm very similar to the lpd
system this methodology supports the forwarding of messages from local
clients to a remote host.  Essentially local clients of syslogd use a
UNIX domain connection to speak to the local version of syslogd,  the
local version of syslogd then makes a TCP/IP based connection to a remote
host if message forwarding is in effect for messages of its priority
class and facility classification.

Klogd is a kernel logging daemon.  There are of course two schools of
thought.  Those people that think this should be inherent in syslogd and
those of us who feel that there should be a separation of functionality.
Our research group took the latter choice.

The klogd utility will either use the /proc filesystem for its source of
kernel messages or will use a syscall methodology if the /proc filesystem
is not available.  We have found this methodology pretty well assures a
reliable source of kernel logging information.  We had all this stuff
shoe-horned into the syslogd sources but the resulting mess convinced us
that a separate daemon was in order.

The klogd daemon also uses a system call to shut off the output of kernel
messages to the console.  This needs to be enhanced to take advantage of
the priority classification scheme which is now used in current (pl14)
kernels.  I will make the necessary modifications and release an update
once this version shakes out.

This package has been operational on our corporate Linux network for
almost a year now with very little in the way of problems.  Users
should find the utilities pretty reliable.

We have sent a number of copies of this package around and have not
heard of any glaring problems.  Comments on the newsgroups would seem
to indicate a desire for a network-aware logging facility.  This
prompted us to release the sources.  Pat Volkerding of Slackware
contacted me and has a copy of the sources so I would suspect that
they may be making an appearance there as well.

We would appreciate any feedback, constructive criticism and of course
well-formed context diffs.  Hopefully these utilities will be of as
much use to the Linux communcity as they are to our Center.

As always,
Dr. G.W. Wettstein           Oncology Research Div. Computing Facility
Roger Maris Cancer Center    UUCP:  uunet!plains!wind!greg
Fargo, ND  58122             INTERNET: [email-masked]
Phone: 701-234-2833
----------------------------------------------------------------------
`The truest mark of a man's wisdom is his ability to listen to other
 men expound their wisdom.' -- GWW

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.